Package org.apache.struts2.dispatcher

# Interface StaticContentLoader

All Known Implementing Classes:
  `DefaultStaticContentLoader`

public interface StaticContentLoader
Interface for loading static resources, based on a path. After implementing your own static content loader you must tell the framework how to use it, eg. <bean name="myContentLoader" type="org.apache.struts2.dispatcher" class="com.company.struts.MyContentLoader"/> <constant name="struts.staticContentLoader" value="myContentLoader"/> Check `StrutsBeanSelectionProvider` for more details.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `StaticContentLoader.Validator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_STATIC_CONTENT_PATH`
  Default path at which static content is served, can be changed by using `StrutsConstants.STRUTS_UI_STATIC_CONTENT_PATH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canHandle(String path)`
  `void`
  `findStaticResource(String path, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
  Locate a static resource and copy directly to the response, setting the appropriate caching headers.
  `void`
  `setHostConfig(HostConfig filterConfig)`

- ## Field Details

  - ### DEFAULT_STATIC_CONTENT_PATH

    static final String DEFAULT_STATIC_CONTENT_PATH
    Default path at which static content is served, can be changed by using `StrutsConstants.STRUTS_UI_STATIC_CONTENT_PATH`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### canHandle

    boolean canHandle(String path)
    Parameters:
      `path` - Requested resource path
    Returns:
      true if this loader is able to load this type of resource, false otherwise

  - ### setHostConfig

    void setHostConfig(HostConfig filterConfig)
    Parameters:
      `filterConfig` - The filter configuration

  - ### findStaticResource

    void findStaticResource(String path, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException
    Locate a static resource and copy directly to the response, setting the appropriate caching headers.
    Parameters:
      `path` - The resource name
      `request` - The request
      `response` - The response
    Throws:
      `IOException` - If anything goes wrong